var browser = browser || chrome;

function saveOptions(e) {
	let apikey = document.querySelector("#apikey").value || '';
	let lang = document.querySelector("#lang").value || 'en';
	let langfrom = document.querySelector("#langfrom").value || 'auto';
	browser.storage.local.set({
		['apikey']: apikey,
		['lang']: lang,
		['langfrom']: langfrom
	});
}

function restoreOptions() {
	let apikey = '';
	let lang = '';
	let langfrom = '';
	browser.storage.local.get('apikey', function (result) {
		apikey = result.apikey;
		document.querySelector('#apikey').value = apikey || '';
	});
	browser.storage.local.get('lang', function (result) {
		lang = result.lang;
		lang = document.querySelector('select#lang > option[value=\"' + lang + '\"]');
		if (lang) {
			lang.setAttribute('selected', true);
		}
	});
	browser.storage.local.get('langfrom', function (result) {
		langfrom = result.langfrom;
		langfrom = document.querySelector('select#langfrom > option[value=\"' + langfrom + '\"]');
		if (langfrom) {
			langfrom.setAttribute('selected', true);
		}
	});
}

document.addEventListener('DOMContentLoaded', restoreOptions);
document.querySelector("form").addEventListener("submit", saveOptions);
